# CbcHeuristicVND Class Reference

LocalSearch class. More...

`#include <CbcHeuristicVND.hpp>`

Inheritance diagram for CbcHeuristicVND:
[legend]
Collaboration diagram for CbcHeuristicVND:
[legend]

List of all members.

## Public Member Functions
| CbcHeuristicVND ()
| CbcHeuristicVND (CbcModel &model)
| CbcHeuristicVND (const CbcHeuristicVND &)
| ~CbcHeuristicVND ()
virtual CbcHeuristic * | clone () const
| Clone.
CbcHeuristicVND & | operator= (const CbcHeuristicVND &rhs)
| Assignment operator.
virtual void | generateCpp (FILE *fp)
| Create C++ lines to get to current state.
virtual void | resetModel (CbcModel *model)
| Resets stuff if model changes.
virtual void | setModel (CbcModel *model)
| update model (This is needed if cliques update matrix etc)
virtual int | solution (double &objectiveValue, double *newSolution)
| returns 0 if no solution, 1 if valid solution.
int | solutionFix (double &objectiveValue, double *newSolution, const int *keep)
| This version fixes stuff and does IP.
void | setHowOften (int value)
| Sets how often to do it.
double * | baseSolution () const
| base solution array so we can set
## Protected Attributes
int | numberSolutions_
| Number of solutions so we can do something at solution.
int | howOften_
| How often to do (code can change).
int | numberSuccesses_
| Number of successes.
int | numberTries_
| Number of tries.
int | lastNode_
| Node when last done.
int | stepSize_
| Step size for decomposition.
int | k_
int | kmax_
int | nDifferent_
double * | baseSolution_
| Base solution.

## Detailed Description

LocalSearch class.

Definition at line 17 of file CbcHeuristicVND.hpp.

## Constructor & Destructor Documentation

CbcHeuristicVND::CbcHeuristicVND | ( |  | ) |

CbcHeuristicVND::CbcHeuristicVND | ( | CbcModel & | model | ) |

CbcHeuristicVND::CbcHeuristicVND | ( | const CbcHeuristicVND & |  | ) |

CbcHeuristicVND::~CbcHeuristicVND | ( |  | ) |

## Member Function Documentation

virtual CbcHeuristic* CbcHeuristicVND::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CbcHeuristic.

CbcHeuristicVND& CbcHeuristicVND::operator= | ( | const CbcHeuristicVND & | rhs | ) |

Assignment operator.

Reimplemented from CbcHeuristic.

virtual void CbcHeuristicVND::generateCpp | ( | FILE * | fp | ) | `[virtual]`

Create C++ lines to get to current state.

Reimplemented from CbcHeuristic.

virtual void CbcHeuristicVND::resetModel | ( | CbcModel * | model | ) | `[virtual]`

Resets stuff if model changes.

Implements CbcHeuristic.

virtual void CbcHeuristicVND::setModel | ( | CbcModel * | model | ) | `[virtual]`

update model (This is needed if cliques update matrix etc)

Reimplemented from CbcHeuristic.

virtual int CbcHeuristicVND::solution | ( | double & | objectiveValue,
|  | double * | newSolution |
| ) |  |  | `[virtual]`

returns 0 if no solution, 1 if valid solution.

Sets solution values if good, sets objective value (only if good) This does Relaxation Induced Neighborhood Search

Implements CbcHeuristic.

int CbcHeuristicVND::solutionFix | ( | double & | objectiveValue,
|  | double * | newSolution,
|  | const int * | keep |
| ) |  |  |

This version fixes stuff and does IP.

void CbcHeuristicVND::setHowOften | ( | int | value | ) | `[inline]`

Sets how often to do it.

Definition at line 63 of file CbcHeuristicVND.hpp.

double* CbcHeuristicVND::baseSolution | ( |  | ) | const`[inline]`

base solution array so we can set

Definition at line 67 of file CbcHeuristicVND.hpp.

## Member Data Documentation

int CbcHeuristicVND::numberSolutions_`[protected]`

Number of solutions so we can do something at solution.

Definition at line 75 of file CbcHeuristicVND.hpp.

int CbcHeuristicVND::howOften_`[protected]`

How often to do (code can change).

Reimplemented from CbcHeuristic.

Definition at line 77 of file CbcHeuristicVND.hpp.

int CbcHeuristicVND::numberSuccesses_`[protected]`

Number of successes.

Definition at line 79 of file CbcHeuristicVND.hpp.

int CbcHeuristicVND::numberTries_`[protected]`

Number of tries.

Definition at line 81 of file CbcHeuristicVND.hpp.

int CbcHeuristicVND::lastNode_`[protected]`

Node when last done.

Definition at line 83 of file CbcHeuristicVND.hpp.

int CbcHeuristicVND::stepSize_`[protected]`

Step size for decomposition.

Definition at line 85 of file CbcHeuristicVND.hpp.

int CbcHeuristicVND::k_`[protected]`

Definition at line 86 of file CbcHeuristicVND.hpp.

int CbcHeuristicVND::kmax_`[protected]`

Definition at line 87 of file CbcHeuristicVND.hpp.

int CbcHeuristicVND::nDifferent_`[protected]`

Definition at line 88 of file CbcHeuristicVND.hpp.

double* CbcHeuristicVND::baseSolution_`[protected]`

Base solution.

Definition at line 90 of file CbcHeuristicVND.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.7.8/Cbc/src/CbcHeuristicVND.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines